1

[alpine-aports] [PATCH] testing/snapraid: new aport

Nathan Caldwell
Details
Message ID
<20161024080921.6362-1-saintdev@gmail.com>
Sender timestamp
1477296561
DKIM signature
missing
Download raw message
Patch: +48 -0
A backup program for disk arrays. Targeted for use in a home media center.
http://www.snapraid.it/
---
 testing/snapraid/APKBUILD | 48 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 48 insertions(+)
 create mode 100644 testing/snapraid/APKBUILD

diff --git a/testing/snapraid/APKBUILD b/testing/snapraid/APKBUILD
new file mode 100644
index 0000000..4bb39e4
--- /dev/null
+++ b/testing/snapraid/APKBUILD
@@ -0,0 +1,48 @@
+# Contributor: Nathan Caldwell <saintdev@gmail.com>
+# Maintainer: Nathan Caldwell <saintdev@gmail.com>
+pkgname=snapraid
+pkgver=10.0
+pkgrel=0
+pkgdesc="A backup program for disk arrays"
+url="http://www.snapraid.it"
+arch="all"
+license="GPL3"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="https://github.com/amadvance/$pkgname/releases/download/v$pkgver/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--localstatedir=/var \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="b2da5734ca2e1a9b655837a39522867f  snapraid-10.0.tar.gz"
+sha256sums="f7dcf19480256fc2c1db9ab976aa12f786e76da6044cc397f0451524e8031ad6  snapraid-10.0.tar.gz"
+sha512sums="cd4af07c3dc3b2399287bf0aa273c01a32fd2e8fd4ad8b98f37e36a069b8092d7a4f69199fea4d110dda0d3059af5e8111e9fa7662829620a525efd01462872c  snapraid-10.0.tar.gz"
-- 
2.10.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Timo Teras
Details
Message ID
<20161104095714.23ccd81b@vostro.util.wtbts.net>
In-Reply-To
<20161024080921.6362-1-saintdev@gmail.com> (view parent)
Sender timestamp
1478246234
DKIM signature
missing
Download raw message
On Mon, 24 Oct 2016 02:09:21 -0600
Nathan Caldwell <saintdev@gmail.com> wrote:

> A backup program for disk arrays. Targeted for use in a home media
> center. http://www.snapraid.it/
> ---
>  testing/snapraid/APKBUILD | 48
> +++++++++++++++++++++++++++++++++++++++++++++++ 1 file changed, 48
> insertions(+) create mode 100644 testing/snapraid/APKBUILD
> 
> diff --git a/testing/snapraid/APKBUILD b/testing/snapraid/APKBUILD
> new file mode 100644
> index 0000000..4bb39e4
> --- /dev/null
> +++ b/testing/snapraid/APKBUILD
> @@ -0,0 +1,48 @@
> +# Contributor: Nathan Caldwell <saintdev@gmail.com>
> +# Maintainer: Nathan Caldwell <saintdev@gmail.com>
> +pkgname=snapraid
> +pkgver=10.0
> +pkgrel=0
> +pkgdesc="A backup program for disk arrays"
> +url="http://www.snapraid.it"
> +arch="all"
> +license="GPL3"
> +depends=""
> +depends_dev=""
> +makedepends="$depends_dev"
> +install=""
> +subpackages="$pkgname-doc"
> +source="https://github.com/amadvance/$pkgname/releases/download/v$pkgver/$pkgname-$pkgver.tar.gz"
> +
> +_builddir="$srcdir"/$pkgname-$pkgver

It's now 'builddir'. And then a default prepare is provided that is not
needed. edge apkbuild template has been updated too.

Applied with this change. Thanks.

> +prepare() {
> +	local i
> +	cd "$_builddir"
> +	for i in $source; do
> +		case $i in
> +		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return
> 1;;
> +		esac
> +	done
> +}


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---